org.springframework.beans.factory.parsing

## Interface ReaderEventListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  EmptyReaderEventListener

    public interface ReaderEventListener
    extends EventListener

Interface that receives callbacks for component, alias and import registrations during a bean definition reading process.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  `ReaderContext`

### Method Summary

Methods
`void` `aliasRegistered(AliasDefinition aliasDefinition)` Notification that the given alias has been registered.
`void` `componentRegistered(ComponentDefinition componentDefinition)` Notification that the given component has been registered.
`void` `defaultsRegistered(DefaultsDefinition defaultsDefinition)` Notification that the given defaults has been registered.
`void` `importProcessed(ImportDefinition importDefinition)` Notification that the given import has been processed.

### Method Detail

#### defaultsRegistered

    void defaultsRegistered(DefaultsDefinition defaultsDefinition)

Notification that the given defaults has been registered.

Parameters:
  `defaultsDefinition` - a descriptor for the defaults
See Also:
  `DocumentDefaultsDefinition`

#### componentRegistered

    void componentRegistered(ComponentDefinition componentDefinition)

Notification that the given component has been registered.

Parameters:
  `componentDefinition` - a descriptor for the new component
See Also:
  `BeanComponentDefinition`

#### aliasRegistered

    void aliasRegistered(AliasDefinition aliasDefinition)

Notification that the given alias has been registered.

Parameters:
  `aliasDefinition` - a descriptor for the new alias

#### importProcessed

    void importProcessed(ImportDefinition importDefinition)

Notification that the given import has been processed.

Parameters:
  `importDefinition` - a descriptor for the import